# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Object/Tiny.pm) perl(Test/Builder/Module.pm) perl(Text/CSV/Slurp.pm) perl(URI.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name WebService-PublicViewpoints
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt2
Summary: The Perl API to access the public-viewpoints geo-webservice.
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GU/GUGOD/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
WebService::PublicViewpoints is a Perl API to access the
public-viewpoints geo-webservice available at
http://public-viewpoints.appspot.com. Each viewpoint is basically
a camera shoting at something.

To use it, invoke its `find` class method with constraints:

    my @points = WebService::PublicViewpoints->find(num => 10, country => "JP");

The possibile constraint key-values are:

=over 4

=item

num: At least 1, the maximum number of results.

=item

random: "true" or "false".

=item

latitude, longitude: The viewpoints around this location are wanted.

=item

country_code: UK, US, JP, DE, FR.. etc.

=item

city: The city name, like "Miami".

=back

The find method returns a list of point objects, so you catch them in
an array. Each point object has these attributes:

=over 4

=item

url: The URL of camera image.

=item

country_code: UK, US, JP, DE, FR.. etc.

=item

country: The name of the associated country_code.

=item

state: The state abbrevation for US.

=item

city: The city name.

=item

lat: The latitude of this camera image.

=item

lng: The longitude of this camera image.

=back

The detail of the feasible contry/city values are unknown due to the
lack of documentation of the origianl application site.

This work is a based on the work of public-viewpoints service at http://public-viewpoints.appspot.com


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/W*

%changelog
* Mon Jan 20 2014 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt2
- rebuild to get rid of unmets

* Tue Sep 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

